#include <stdio.h>

long long power10(int input)
{
	long long result = 1;
	while (input != 0)
	{
		--input;
		result *= 10;
	}

	return result;
}

int digits(long long input)
{
	int result = 0;
	while (input != 0)
	{
		++result;
		input /= 10;
	}

	return result;
}

long long joinNums(long long a, long long b, long long c)
{
	return c + b * power10(digits(c)) + a * power10(digits(c) + digits(b));
}

int main()
{
	long long a[3], max = 0;
	scanf("%lld%lld%lld", &a[0], &a[1], &a[2]);

	int i, j, k;
	for (i = 0; i < 3; ++i)
	{
		for (j = 0; j < 3; ++j)
		{
			if (j != i)
			{
				for (k = 0; k < 3; ++k)
				{
					if (k != j && k != i)
					{
						long long tmp = joinNums(a[i], a[j], a[k]);
						max = max < tmp ? tmp : max;
					}
				}
			}
		}
	}

	printf("%lld\n", max);

	return 0;
}